From 60ef60da84d99647d2e07b679f90fed238359ed7 Mon Sep 17 00:00:00 2001
From: Anton Medvedev <amedvede@redhat.com>
Date: Apr 09 2026 15:11:46 +0000
Subject: feat: changed readme with migration info


Signed-off-by: Anton Medvedev <amedvede@redhat.com>

---

diff --git a/README.md b/README.md
index b698d09..dc52d20 100644
--- a/README.md
+++ b/README.md
@@ -1,67 +1,2 @@
-# compose-tracker
-
-Source code that parses pungi logs and opens issues against
-https://pagure.io/releng/failed-composes
-
-# Deploying in Fedora
-
-
-The files for deploying to Fedora's OpenShift Instance are:
-
-- [playbooks/openshift-apps/compose-tracker.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/playbooks/openshift-apps/compose-tracker.yml)
-- [roles/openshift-apps/compose-tracker/templates/buildconfig.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/openshift-apps/compose-tracker/templates/buildconfig.yml)
-- [roles/openshift-apps/compose-tracker/templates/deploymentconfig.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/openshift-apps/compose-tracker/templates/deploymentconfig.yml)
-- [roles/openshift-apps/compose-tracker/templates/imagestream.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/openshift-apps/compose-tracker/templates/imagestream.yml)
-- [roles/openshift-apps/compose-tracker/templates/secret.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/openshift-apps/compose-tracker/templates/secret.yml)
-
-The steps for deploying are documented in
-[Fedora Infrastructure SOP document](https://pagure.io/infra-docs/blob/master/f/docs/sysadmin-guide/sops/compose-tracker.rst).
-
-This mostly boils down to:
-
-```
-[localhost]$ ssh batcave01.phx2.fedoraproject.org
-[batcave01]$ sudo rbac-playbook openshift-apps/compose-tracker.yml
-```
-
-# Rough notes for deployment to another OpenShift instance:
-
-Create a new project and build the container.
-
-```
-oc new-project compose-tracker
-oc new-build --strategy=docker https://pagure.io/releng/compose-tracker --to compose-tracker-img
-```
-
-Export pagure token to use as an env var and then use
-[kedge](https://github.com/kedgeproject/kedge)
-to get up and running in openshift:
-
-```
-export PAGURE_TOKEN=<pagure_token>
-kedge apply -f kedge.yaml
-```
-
-# Development Environment
-
-The easiest way to run compose_tracker's tests on your local machine is to use tox: just
-ensure it's installed, and run `tox`. Alternatively, you can manually set up a virtual
-environment:
-
-```
-$ python3 -m venv .venv
-$ source .venv/bin/activate
-(.venv) $
-```
-
-Then you can install the dependencies using the requirements.txt file
-
-```
-(.venv) $ pip install -r requirements.txt -r requirements-test.txt
-```
-
-Finally you can run the tests
-
-```
-(.venv) $ py.test test_consumer.py -v
-```
+# IMPORTANT NOTE!
+This repository has migrated to Forge. You can now find the project and track issues at: https://forge.fedoraproject.org/releng/compose-tracker
diff --git a/README.old b/README.old
new file mode 100644
index 0000000..b698d09
--- /dev/null
+++ b/README.old
@@ -0,0 +1,67 @@
+# compose-tracker
+
+Source code that parses pungi logs and opens issues against
+https://pagure.io/releng/failed-composes
+
+# Deploying in Fedora
+
+
+The files for deploying to Fedora's OpenShift Instance are:
+
+- [playbooks/openshift-apps/compose-tracker.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/playbooks/openshift-apps/compose-tracker.yml)
+- [roles/openshift-apps/compose-tracker/templates/buildconfig.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/openshift-apps/compose-tracker/templates/buildconfig.yml)
+- [roles/openshift-apps/compose-tracker/templates/deploymentconfig.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/openshift-apps/compose-tracker/templates/deploymentconfig.yml)
+- [roles/openshift-apps/compose-tracker/templates/imagestream.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/openshift-apps/compose-tracker/templates/imagestream.yml)
+- [roles/openshift-apps/compose-tracker/templates/secret.yml](https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/openshift-apps/compose-tracker/templates/secret.yml)
+
+The steps for deploying are documented in
+[Fedora Infrastructure SOP document](https://pagure.io/infra-docs/blob/master/f/docs/sysadmin-guide/sops/compose-tracker.rst).
+
+This mostly boils down to:
+
+```
+[localhost]$ ssh batcave01.phx2.fedoraproject.org
+[batcave01]$ sudo rbac-playbook openshift-apps/compose-tracker.yml
+```
+
+# Rough notes for deployment to another OpenShift instance:
+
+Create a new project and build the container.
+
+```
+oc new-project compose-tracker
+oc new-build --strategy=docker https://pagure.io/releng/compose-tracker --to compose-tracker-img
+```
+
+Export pagure token to use as an env var and then use
+[kedge](https://github.com/kedgeproject/kedge)
+to get up and running in openshift:
+
+```
+export PAGURE_TOKEN=<pagure_token>
+kedge apply -f kedge.yaml
+```
+
+# Development Environment
+
+The easiest way to run compose_tracker's tests on your local machine is to use tox: just
+ensure it's installed, and run `tox`. Alternatively, you can manually set up a virtual
+environment:
+
+```
+$ python3 -m venv .venv
+$ source .venv/bin/activate
+(.venv) $
+```
+
+Then you can install the dependencies using the requirements.txt file
+
+```
+(.venv) $ pip install -r requirements.txt -r requirements-test.txt
+```
+
+Finally you can run the tests
+
+```
+(.venv) $ py.test test_consumer.py -v
+```

